path: /build/build/layer-shell-qt-kde-plasma-5-5.27.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge kde-plasma/layer-shell-qt:5 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps kde-plasma/layer-shell-qt:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/layer-shell-qt && luet-portage --dir
    /pkgdir/layer-shell-qt kde-plasma/layer-shell-qt:5 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:5e7f7f9afaed5a1fd4717e0db2c12c76d037e35f60d5a8a117312e7e228e9dc2
  package:
    name: layer-shell-qt
    version: 5.27.9
    category: kde-plasma-5
    use_flags:
    - -test
    - prefix
    requires:
    - name: kirigami
      version: '>=0'
      category: kde-frameworks-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Qt component to allow applications make use of Wayland wl-layer-shell
      protocol
    uri:
    - https://kde.org/
    license: LGPL-3+
    buildtimestamp: 2024-02-12 11:12:15.624990124 +0000 UTC m=+143.979562257
    labels:
      BDEPEND: dev-util/wayland-scanner virtual/pkgconfig dev-util/ninja >=dev-util/cmake-3.9.6
        test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
      DEPEND: dev-libs/wayland dev-qt/qtdeclarative dev-qt/qtgui dev-qt/qtwayland
        x11-libs/libxkbcommon dev-libs/wayland-protocols dev-util/desktop-file-utils
        x11-misc/shared-mime-info test? ( >=dev-qt/qttest-5.15.2:5 ) >=dev-qt/qtcore-5.15.2:5
        dev-util/desktop-file-utils
      IUSE: test debug test
      RDEPEND: dev-libs/wayland dev-qt/qtdeclarative dev-qt/qtgui dev-qt/qtwayland
        x11-libs/libxkbcommon >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.2:5
      emerge.packages: kde-plasma/layer-shell-qt:5
      kit: kde-kit
      original.package.name: kde-plasma/layer-shell-qt
      original.package.slot: "5"
      original.package.version: 5.27.9
    treedir: /build/packages
  package_dir: /pkgdir/layer-shell-qt
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 6bb56e6a9c23ec3b4a1265c41dfc7dbaccaa35b1e317218c773fae812590ccb7
compressiontype: zstd
files:
- usr/include/LayerShellQt/Shell
- usr/include/LayerShellQt/Window
- usr/include/LayerShellQt/layershellqt_export.h
- usr/include/LayerShellQt/shell.h
- usr/include/LayerShellQt/window.h
- usr/lib64/cmake/LayerShellQt/LayerShellQtConfig.cmake
- usr/lib64/cmake/LayerShellQt/LayerShellQtConfigVersion.cmake
- usr/lib64/cmake/LayerShellQt/LayerShellQtTargets-gentoo.cmake
- usr/lib64/cmake/LayerShellQt/LayerShellQtTargets.cmake
- usr/lib64/libLayerShellQtInterface.so
- usr/lib64/libLayerShellQtInterface.so.5
- usr/lib64/libLayerShellQtInterface.so.5.27.9
- usr/lib64/qt5/plugins/wayland-shell-integration/liblayer-shell.so
- usr/share/doc/layer-shell-qt-5.27.9/README.md.bz2
- usr/share/doc/layer-shell-qt-5.27.9/README.md.license
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/BDEPEND
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/BUILD_TIME
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/CATEGORY
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/CBUILD
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/CFLAGS
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/CHOST
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/CONTENTS
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/COUNTER
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/CXXFLAGS
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/DEFINED_PHASES
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/DEPEND
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/DESCRIPTION
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/EAPI
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/FEATURES
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/HOMEPAGE
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/INHERITED
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/IUSE
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/IUSE_EFFECTIVE
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/KEYWORDS
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/LDFLAGS
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/LICENSE
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/NEEDED
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/PF
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/PROVIDES
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/RDEPEND
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/REQUIRES
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/SIZE
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/SLOT
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/USE
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/environment.bz2
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/layer-shell-qt-5.27.9.ebuild
- var/db/pkg/kde-plasma/layer-shell-qt-5.27.9/repository
package_cacheimage: ""
runtime:
  name: layer-shell-qt
  version: 5.27.9
  category: kde-plasma-5
  use_flags:
  - -test
  - prefix
  requires:
  - name: qtdeclarative
    version: '>=0'
    category: dev-qt-5
  - name: qtwayland
    version: '>=0'
    category: dev-qt-5
  - name: breeze-icons
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Qt component to allow applications make use of Wayland wl-layer-shell
    protocol
  uri:
  - https://kde.org/
  license: LGPL-3+
  labels:
    BDEPEND: dev-util/wayland-scanner virtual/pkgconfig dev-util/ninja >=dev-util/cmake-3.9.6
      test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=kde-frameworks/extra-cmake-modules-5.98.0:5
    DEPEND: dev-libs/wayland dev-qt/qtdeclarative dev-qt/qtgui dev-qt/qtwayland x11-libs/libxkbcommon
      dev-libs/wayland-protocols dev-util/desktop-file-utils x11-misc/shared-mime-info
      test? ( >=dev-qt/qttest-5.15.2:5 ) >=dev-qt/qtcore-5.15.2:5 dev-util/desktop-file-utils
    IUSE: test debug test
    RDEPEND: dev-libs/wayland dev-qt/qtdeclarative dev-qt/qtgui dev-qt/qtwayland x11-libs/libxkbcommon
      >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5 kde-frameworks/oxygen-icons:*
      ) >=dev-qt/qtcore-5.15.2:5
    emerge.packages: kde-plasma/layer-shell-qt:5
    kit: kde-kit
    original.package.name: kde-plasma/layer-shell-qt
    original.package.slot: "5"
    original.package.version: 5.27.9
